Bug 911682 (CVE-2013-0294) - CVE-2013-0294 python-pyrad: poor randomness leads to predictable password hashing and RADIUS IDs
Summary: CVE-2013-0294 python-pyrad: poor randomness leads to predictable password has...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-0294
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130115,repor...
Depends On: 894487 911683
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-15 15:59 UTC by Vincent Danen
Modified: 2019-06-10 11:00 UTC (History)
1 user (show)

Fixed In Version: python-pyrad 2.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 11:00:04 UTC


Attachments (Terms of Use)

Description Vincent Danen 2013-02-15 15:59:42 UTC
Nathaniel McCallum reported that pyrad was using Python's random module in a number of places to generate pseudo-random data.  In the case of the authenticator data, it was being used to secure a password sent over the wire.  Because Python's random module is not really suited for this purpose (not random enough), it could lead to password hashing that may be predictable.

This has been corrected in upstream's forthcoming version 2.1 via:

https://github.com/wichert/pyrad/commit/38f74b36814ca5b1a27d9898141126af4953bee5

Comment 1 Vincent Danen 2013-02-15 16:01:22 UTC
Created python-pyrad tracking bugs for this issue

Affects: fedora-all [bug 894487]
Affects: epel-all [bug 911683]

Comment 2 Vincent Danen 2013-02-20 17:11:39 UTC
*** Bug 911685 has been marked as a duplicate of this bug. ***

Comment 3 Vincent Danen 2013-02-20 17:14:32 UTC
Merging the other issue from bug 911685:

Nathaniel McCallum reported that pyrad was creating serialized RADIUS packet IDs in the CreateID() function in packet.py.  This is not suitable for RADIUS as the RFC specifies that the ID must not be predictable.  As a result, the ID of the next packet sent can be spoofed.

This has been corrected in upstream's forthcoming version 2.1 via:

https://github.com/wichert/pyrad/commit/38f74b36814ca5b1a27d9898141126af4953bee5


Due to the same patch being used to fix essentially the same thing, which was introduced at the same time, as per MITRE's direction:

http://www.openwall.com/lists/oss-security/2013/02/15/15

Comment 4 Vincent Danen 2013-02-22 17:09:02 UTC
This is not the same issue as bug 911685 which was assigned CVE-2013-0342, so this is one singular issue unrelated to the other.

Comment 5 Fedora Update System 2013-09-15 00:49:52 UTC
python-pyrad-2.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-09-15 00:57:10 UTC
python-pyrad-2.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-09-20 19:58:33 UTC
python-pyrad-1.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-09-20 19:58:53 UTC
python-pyrad-2.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-23 00:40:29 UTC
python-pyrad-2.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Product Security DevOps Team 2019-06-10 11:00:04 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.